org.apache.ignite.internal.client

## Interface GridClientClusterState

All Known Implementing Classes:
  GridClientClusterStateImpl

    public interface GridClientClusterState

Interface for manage state of grid cluster.

### Method Summary

Methods
`boolean` `active()`
`void` `active(boolean active)`

### Method Detail

#### active

    void active(boolean active)
                throws GridClientException

Parameters:
  `active` - `True` activate, `False` deactivate.
Throws:
  `GridClientException`

#### active

    boolean active()
                   throws GridClientException

Returns:
  `Boolean` - Current cluster state. `True` active, `False` inactive.
Throws:
  `GridClientException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017